Subject: Re: bug#76133: 31.0.50; feature/igc: crash using mu4e, 2025-02-07

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Feb 2025 14:08:19 +0200

> Date: Sun, 09 Feb 2025 11:43:51 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> > I just don't yet understand the root cause of this crash.  We had in
> > the past crashes similar to this, due to invalid Lisp objects, which
> > had nothing to do with GC.  I thought it would be good to see what
> > that object is before we decide this was solved.
> 
> The Lisp object in question (0x7fffa7debfb3) was stored in the specpdl,
> then retrieved from it.  We know that our code to resize the specpdl was
> buggy and may have resulted in stale pointers after a resize happened.
> 
> > Why are you sure this bug was already fixed?
> 
> I'm not sure, I just think it's likely enough we might want to wait for
> a new crash report if it hasn't been fixed :-)

I think we are very close to seeing this object, so it might be
worthwhile to wait until we see it.

It is also good to know what was the error Emacs was trying to signal
in this case.